Page MenuHomePhabricator

Positive reinforcement: Deploy the new Impact module to all Wikipedias
Closed, ResolvedPublicNov 1 2023

Description

User story & summary:

As a newcomer, I want to understand the impact of my edits, so that I receive some automated feedback and encouragement to continue editing.

As the Growth team, I want to ensure we communicate about the new Impact module so that communities are informed and the release goes smoothly.

Background & research:

The revised impact module provides new editors with more context about their impact. The new design includes far more personalized info and data visualizations than the previous design.

Acceptance Criteria:
  • break rollout into two groups (we might not want to scale to all wikis at once to avoid performance issues, but we should be able to scale fairly quickly)
    • Test group: released with the A/B test configuration that we have on the pilot wikis (50% get the new impact module, 50% get the old impact module)
        • Greek Wikipedia (el)
        • Persian Wikipedia (fa)
        • French Wikipedia (fr)
        • French Wiktionary (frwikt)
        • Indonesian Wikipedia (id)
        • Polish Wikipedia (pl)
        • Portuguese Wikipedia (pt)
        • Romanian Wikipedia (ro)
        • Turkish Wokipedia (tr)
        • Vietnamese Wikipedia (vi)
      • Inform communities

Release the new impact module to all remaining Wikipedias that have Growth features:

  • test backend (impact module updating logic) on a very large wiki (part of T344143)
  • release backend logic to all Wikipedias (part of T344143)
  • Test & fix issues if needed
  • set release date (Nov 01)
  • Inform communities (done via User-notice)
  • enable frontend (when visiting the newcomer homepage, users receive the new impact module; no A/B testing needed)
  • Disable A/B test on pilot wikis

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2023-05-31T13:21:40Z] <urbanecm@deploy1002> urbanecm: Backport for [[gerrit:924060|[Growth] Enable new Impact for 10 additional wikis (T336203)]] synced to the testservers: mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-05-31T13:28:16Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:924060|[Growth] Enable new Impact for 10 additional wikis (T336203)]] (duration: 08m 13s)

Checking wmf.12 - all wikis in the list have new Impact module except rowiki (at least my test users did not get the new Impact module).
@Urbanecm_WMF - two questions

  • does rowiki have new Impact module?
  • should this ticket be open until all wikis will get new Impact module?

Checking wmf.12 - all wikis in the list have new Impact module except rowiki (at least my test users did not get the new Impact module).

@Urbanecm_WMF - two questions

  • does rowiki have new Impact module?

Thanks for catching this! It doesn't. I'll fix this on Monday.

  • should this ticket be open until all wikis will get new Impact module?

I think so! @KStoller-WMF or @Trizek-WMF should feel free to override me though :).

Change 928824 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] [Growth] Enable user impact refresh for rowiki

https://gerrit.wikimedia.org/r/928824

Change 928825 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] [Growth] Enable new Impact module for rowiki

https://gerrit.wikimedia.org/r/928825

Change 928824 merged by jenkins-bot:

[operations/mediawiki-config@master] [Growth] Enable user impact refresh for rowiki

https://gerrit.wikimedia.org/r/928824

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:17:57Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:928824|[Growth] Enable user impact refresh for rowiki (T336203)]]

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:19:25Z] <urbanecm@deploy1002> urbanecm: Backport for [[gerrit:928824|[Growth] Enable user impact refresh for rowiki (T336203)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:24:50Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:928824|[Growth] Enable user impact refresh for rowiki (T336203)]] (duration: 06m 53s)

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:28:53Z] <urbanecm> Run extensions/GrowthExperiments/maintenance/refreshUserImpactData.php for rowiki (T336203)

Change 928825 merged by jenkins-bot:

[operations/mediawiki-config@master] [Growth] Enable new Impact module for rowiki

https://gerrit.wikimedia.org/r/928825

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:29:50Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:928825|[Growth] Enable new Impact module for rowiki (T336203)]]

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:31:10Z] <urbanecm@deploy1002> urbanecm: Backport for [[gerrit:928825|[Growth] Enable new Impact module for rowiki (T336203)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-06-12T20:36:57Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:928825|[Growth] Enable new Impact module for rowiki (T336203)]] (duration: 07m 06s)

Checking wmf.12 - all wikis in the list have new Impact module except rowiki (at least my test users did not get the new Impact module).
@Urbanecm_WMF - two questions

  • does rowiki have new Impact module?

Thanks for catching this! It doesn't. I'll fix this on Monday.

This is now fixed.

@nettrom_WMF A courtesy ping regarding the rowiki ommission. For rowiki only, the experiment start date is today (rest of wikis started 2023-05-30).

Checked rowiki wmf.13 - the new Impact module is in place.

Thanks for testing, Etonkovidova!

Perhaps I should have created two tasks for this, but I'm going to reopen this task and move to Blocked for now since the Impact module is now scaled to the new test group, but not all Wikipedias yet.

We should resolve tasks in this Epic T342150 and then scale to the remaining Wikipedias.

Unclaiming to avoid cookie licking; happy to take on this again once ready.

@KStoller-WMF This is a bit early for now, but do we want to do the deployment to all Wikipedias in A/B testing mode (in line with pilot wikis and the 10 additional wikis we already deployed to)? My assumption is "no", because the checklist includes "Disable A/B test on pilot wikis", but I let you confirm.

We don't plan to conduct an additional A/B test, so we should deploy to 100% of accounts with the homepage enabled.

Gotcha, thanks for the clarification.

KStoller-WMF lowered the priority of this task from High to Medium.Oct 17 2023, 11:22 PM

I'm working on this in subtasks, so claiming this one as well.

@Trizek-WMF Hello, I just enabled new Impact backend everywhere (finally!). This means we're now ready to scale the new Impact module (ie. the frontend) to any other Wikipedia. The task checklist says the next step is setting a release date. When do you want this to happen?

@KStoller-WMF Hi, FYI, this also unblocks scaling other Positive reinforcement features like Levelling up when the time comes, as those depend on the new Impact backend. Since that is now scaled everywhere, we can go ahead when needed. Once the right time comes, please feel free to log a task and assign it to me :).

@Trizek-WMF Hello, I just enabled new Impact backend everywhere (finally!). This means we're now ready to scale the new Impact module (ie. the frontend) to any other Wikipedia. The task checklist says the next step is setting a release date. When do you want this to happen?

Can we say next Tuesday (OCt 31), so that it appears in Tech News next week?

@Trizek-WMF Hello, I just enabled new Impact backend everywhere (finally!). This means we're now ready to scale the new Impact module (ie. the frontend) to any other Wikipedia. The task checklist says the next step is setting a release date. When do you want this to happen?

Can we say next Tuesday (OCt 31), so that it appears in Tech News next week?

I'm OoO on that day, would Wednesday Nov 01 or Monday Oct 30 work?

It is just a matter of being sure that Tech News was distributed, and potentially read. Wednesday Nov 01 is a good date.

Urbanecm_WMF changed the subtype of this task from "Task" to "Deadline".

Nov 01 it is then, thanks!

Change 969966 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth: Enable new Impact module on all Wikipedias

https://gerrit.wikimedia.org/r/969966

Change 969967 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth: Disable new impact A/B testing on pilot wikis

https://gerrit.wikimedia.org/r/969967

According to T321921#8478162, we should resolve T321921 after the deployment finishes. We should also clean-up the old Impact code at some point, filled T350077 for that part.

Change 969966 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth: Enable new Impact module on all Wikipedias

https://gerrit.wikimedia.org/r/969966

Mentioned in SAL (#wikimedia-operations) [2023-11-01T14:41:30Z] <urbanecm@deploy2002> Started scap: Backport for [[gerrit:969966|Growth: Enable new Impact module on all Wikipedias (T336203)]]

Mentioned in SAL (#wikimedia-operations) [2023-11-01T14:45:50Z] <urbanecm@deploy2002> urbanecm: Backport for [[gerrit:969966|Growth: Enable new Impact module on all Wikipedias (T336203)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-11-01T14:52:11Z] <urbanecm@deploy2002> Finished scap: Backport for [[gerrit:969966|Growth: Enable new Impact module on all Wikipedias (T336203)]] (duration: 10m 41s)

Change 969967 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth: Disable new impact A/B testing on pilot wikis

https://gerrit.wikimedia.org/r/969967

Mentioned in SAL (#wikimedia-operations) [2023-11-01T14:52:53Z] <urbanecm@deploy2002> Started scap: Backport for [[gerrit:969967|Growth: Disable new impact A/B testing on pilot wikis (T336203)]]

Mentioned in SAL (#wikimedia-operations) [2023-11-01T14:57:18Z] <urbanecm@deploy2002> urbanecm: Backport for [[gerrit:969967|Growth: Disable new impact A/B testing on pilot wikis (T336203)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-11-01T14:59:22Z] <urbanecm> mwmaint2002: mwscript userOptions.php --wiki=cswiki --nowarn --old='oldimpact' --new='control' 'growthexperiments-homepage-variant' # end A/B testing of new Impact (T336203)

Mentioned in SAL (#wikimedia-operations) [2023-11-01T15:02:38Z] <urbanecm@deploy2002> Finished scap: Backport for [[gerrit:969967|Growth: Disable new impact A/B testing on pilot wikis (T336203)]] (duration: 09m 44s)

Mentioned in SAL (#wikimedia-operations) [2023-11-01T15:05:12Z] <urbanecm> mwmaint2002: mwscript userOptions.php --wiki=WIKI --nowarn --old='oldimpact' --new='control' 'growthexperiments-homepage-variant' # end A/B testing of new Impact (T336203; wikis=arwiki bnwiki elwiki eswiki fawiki frwiki frwiktionary idwiki plwiki rowiki trwiki viwiki)

Etonkovidova updated the task description. (Show Details)